#
# spec file for package libol (Version 0.2.23)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libol
Version:      0.2.23
Release:      38
Copyright:    GPL, (c) 1998-1999 Niels Mller, (c) 1999-2000 BalaBit IT Ltd.
Group:        System Environment/Libraries
Provides:     libol
Autoreqprov:  on
Summary:      Support library for syslog-ng
URL:          http://www.balabit.hu/products/syslog-ng/
Source:       http://www.balabit.hu/downloads/syslog-ng/libol/0.2/libol-%{version}.tar.gz
#Patch0:       %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
Support library for syslog-ng

Authors:
--------
    Niels Mller
    BalaBit IT Ltd. <info@balabit.hu>

SuSE series: n

%package devel
Summary:      Support library for syslog-ng - developer package
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Support library for syslog-ng - files needed for compilations

Authors:
--------
    Niels Mller
    BalaBit IT Ltd. <info@balabit.hu>

SuSE series: n

%prep
%setup
#%patch0 -p0
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --sbindir=/sbin --mandir=%{_mandir} \
	--sysconfdir=/etc --localstatedir=/var/run
make clean
make

%install
export RPM_BUILD_ROOT
make -e DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc ChangeLog
/usr/lib/libol.so.*

%files devel
/usr/bin/libol-config
/usr/bin/make_class
/usr/include/libol
/usr/lib/libol.a
/usr/lib/libol.la
/usr/lib/libol.so

%changelog -n libol
* Fri Jul 20 2001 - mt@suse.de
- updated to version 0.2.23
* Thu May 03 2001 - mt@suse.de
- added suse_update_config macro in spec
* Wed Mar 14 2001 - mt@suse.de
- new package, version 0.2.21
